Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Budgets

Server
Download schema

List budgets

GET
https://api.costfluent.com
/v1/budgets
Bearer (API token)

Returns all budgets, optionally filtered by workspace

List budgets › query Parameters

page
​integer · int32 · required
limit
​integer · int32 · required
workspaceId
​

List budgets › Responses

Success

CostfluentPublicApiModelsV1CommonPaginatedResponseOfBudgetResponse
​CostfluentPublicApiModelsV1CommonPaginationLinks · required
​CostfluentPublicApiModelsV1ResponsesBudgetResponse[] · required
GET/v1/budgets
curl 'https://api.costfluent.com/v1/budgets?page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": { "Value": "Value" }, "name": "name", "amount": 0, "currency": "currency", "period": "period", "status": "status", "currentSpend": 0, "percentUsed": 0, "spendAvailability": "spendAvailability", "alerts": [ { "thresholdPercent": 0, "isTriggered": true, "triggeredAt": "2024-08-25T15:00:00Z" } ], "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

Create budget

POST
https://api.costfluent.com
/v1/budgets
Bearer (API token)

Creates a new budget with optional alert thresholds

Create budget › Request Body

CostfluentPublicApiModelsV1RequestsCreateBudgetRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
name
​string · minLength: 0 · maxLength: 200 · required
currency
​string · minLength: 3 · maxLength: 3 · required
amount
​number · double
period
​string
​array | null
segmentId
​string | null

Create budget › Responses

Success

CostfluentPublicApiModelsV1ResponsesBudgetResponse
​CostfluentSharedKernelPublicIdsBudgetPublicId · required
spendAvailability
​string · required
name
​string
amount
​number · double
currency
​string
period
​string
status
​string
currentSpend
​number | null · double
percentUsed
​number | null · double
​CostfluentPublicApiModelsV1ResponsesBudgetAlertResponse[]
createdAt
​string · date-time
updatedAt
​string | null · date-time
POST/v1/budgets
curl https://api.costfluent.com/v1/budgets \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "name": "name", "amount": 0.1, "currency": "currency", "period": "period", "alerts": [ { "thresholdPercent": 0 } ], "segmentId": "segmentId" }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "name": "name", "amount": 0.1, "currency": "currency", "period": "period", "alerts": [ { "thresholdPercent": 0 } ], "segmentId": "segmentId" }
json
Example Responses
{ "id": { "Value": "Value" }, "name": "name", "amount": 0, "currency": "currency", "period": "period", "status": "status", "currentSpend": 0, "percentUsed": 0, "spendAvailability": "spendAvailability", "alerts": [ { "thresholdPercent": 0, "isTriggered": true, "triggeredAt": "2024-08-25T15:00:00Z" } ], "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Get budget

GET
https://api.costfluent.com
/v1/budgets/{budgetId}
Bearer (API token)

Returns a specific budget with current spend

Get budget › path Parameters

​CostfluentSharedKernelPublicIdsBudgetPublicId · required

Get budget › Responses

Success

CostfluentPublicApiModelsV1ResponsesBudgetResponse
​CostfluentSharedKernelPublicIdsBudgetPublicId · required
spendAvailability
​string · required
name
​string
amount
​number · double
currency
​string
period
​string
status
​string
currentSpend
​number | null · double
percentUsed
​number | null · double
​CostfluentPublicApiModelsV1ResponsesBudgetAlertResponse[]
createdAt
​string · date-time
updatedAt
​string | null · date-time
GET/v1/budgets/{budgetId}
curl https://api.costfluent.com/v1/budgets/:budgetId \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "name": "name", "amount": 0, "currency": "currency", "period": "period", "status": "status", "currentSpend": 0, "percentUsed": 0, "spendAvailability": "spendAvailability", "alerts": [ { "thresholdPercent": 0, "isTriggered": true, "triggeredAt": "2024-08-25T15:00:00Z" } ], "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Update budget

PUT
https://api.costfluent.com
/v1/budgets/{budgetId}
Bearer (API token)

Updates a budget name, amount, or filter

Update budget › path Parameters

​CostfluentSharedKernelPublicIdsBudgetPublicId · required

Update budget › Request Body

CostfluentPublicApiModelsV1RequestsUpdateBudgetRequest
name
​string | null
amount
​number | null · double
segmentId
​string | null

Update budget › Responses

Success

CostfluentPublicApiModelsV1ResponsesBudgetResponse
​CostfluentSharedKernelPublicIdsBudgetPublicId · required
spendAvailability
​string · required
name
​string
amount
​number · double
currency
​string
period
​string
status
​string
currentSpend
​number | null · double
percentUsed
​number | null · double
​CostfluentPublicApiModelsV1ResponsesBudgetAlertResponse[]
createdAt
​string · date-time
updatedAt
​string | null · date-time
PUT/v1/budgets/{budgetId}
curl https://api.costfluent.com/v1/budgets/:budgetId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "name": "name", "amount": 0, "segmentId": "segmentId" }'
Example Request Body
{ "name": "name", "amount": 0, "segmentId": "segmentId" }
json
Example Responses
{ "id": { "Value": "Value" }, "name": "name", "amount": 0, "currency": "currency", "period": "period", "status": "status", "currentSpend": 0, "percentUsed": 0, "spendAvailability": "spendAvailability", "alerts": [ { "thresholdPercent": 0, "isTriggered": true, "triggeredAt": "2024-08-25T15:00:00Z" } ], "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete budget

DELETE
https://api.costfluent.com
/v1/budgets/{budgetId}
Bearer (API token)

Deletes a budget and its alert configuration

Delete budget › path Parameters

​CostfluentSharedKernelPublicIdsBudgetPublicId · required

Delete budget › Responses

No Content

No data returned
DELETE/v1/budgets/{budgetId}
curl https://api.costfluent.com/v1/budgets/:budgetId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

ContractingBilling